# unique_ptr.h File Reference

Go to the source code of this file.

## Classes

- struct std::default_delete< _Tp >
    Primary template, default_delete. More...
- struct std::default_delete< _Tp[]>
    Specialization, default_delete. More...
- class std::unique_ptr< _Tp, _Tp_Deleter >
    20.7.12.2 unique_ptr for single objects. More...
- class std::unique_ptr< _Tp[], _Tp_Deleter >
    20.7.12.3 unique_ptr for array objects with a runtime length More...

## Namespaces

- namespace std

## Functions

- template<typename _Tp , typename _Tp_Deleter , typename _Up , typename _Up_Deleter > bool std::operator!= (const unique_ptr< _Tp, _Tp_Deleter > &__x, const unique_ptr< _Up, _Up_Deleter > &__y)
- template<typename _Tp , typename _Tp_Deleter , typename _Up , typename _Up_Deleter > bool std::operator< (const unique_ptr< _Tp, _Tp_Deleter > &__x, const unique_ptr< _Up, _Up_Deleter > &__y)
- template<typename _Tp , typename _Tp_Deleter , typename _Up , typename _Up_Deleter > bool std::operator<= (const unique_ptr< _Tp, _Tp_Deleter > &__x, const unique_ptr< _Up, _Up_Deleter > &__y)
- template<typename _Tp , typename _Tp_Deleter , typename _Up , typename _Up_Deleter > bool std::operator== (const unique_ptr< _Tp, _Tp_Deleter > &__x, const unique_ptr< _Up, _Up_Deleter > &__y)
- template<typename _Tp , typename _Tp_Deleter , typename _Up , typename _Up_Deleter > bool std::operator> (const unique_ptr< _Tp, _Tp_Deleter > &__x, const unique_ptr< _Up, _Up_Deleter > &__y)
- template<typename _Tp , typename _Tp_Deleter , typename _Up , typename _Up_Deleter > bool std::operator>= (const unique_ptr< _Tp, _Tp_Deleter > &__x, const unique_ptr< _Up, _Up_Deleter > &__y)
- template<typename _Tp , typename _Tp_Deleter > void std::swap (unique_ptr< _Tp, _Tp_Deleter > &__x, unique_ptr< _Tp, _Tp_Deleter > &__y)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file unique_ptr.h.